Subject: Re: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Stefan Kangas <[email-masked]>
Date: Wed, 2 Dec 2020 07:51:18 -0600

Eli Zaretskii <[email-masked]> writes:

>> If adding a lexical-binding tag has no effect on the autoload files
>> (other than making them a few bytes larger), then it should be of no
>> consequence.
>
> The additional code in autoload.el is such a consequence, if nothing
> else.

It's a one line patch.

> That is an advantage too small to justify the change.  Skipping files
> that all match a simple wildcard pattern is easy.

There are only small benefits to adding this, sure.  But there seem to
be absolutely no benefits to be had from not adding it.  On the
contrary, you seem to agree that it requires us to do extra work.